\name{RolexaRun-class}
\docType{class}
\alias{RolexaRun}
\alias{RolexaRun-class}
\alias{GetModel}
\alias{SetModel}
\title{Rolexa Setup Class}
\description{A class holding parameters for subsequent run of Rolexa algorithms}
\section{Slots}{
  \describe{
    \item{\code{MinimumTagLength}}{tags shorter than this will not be saved (15)}
    \item{\code{SequencingLength}}{number of cycles of sequencing, used to calculate the number of columns in files (36)}
    \item{\code{Barcode}}{number of bases used as barcode at the beginning of the tag (0)}
    \item{\code{HThresholds}}{entropy thresholds between 1 and 2-base ambiguities, 2 and 3-base ambiguities and 3-base ambiguity or undecided (log2(c(1.5,2.5,3.5)))}
    \item{\code{IThresholds}}{total entropy thresholds, as a function of tag length (log2(4+1:36/6))}
    \item{\code{PET}}{paired-end sequencing run (FALSE)}
    \item{\code{fit}}{use full EM convergence instead of only one-step
      optimization (FALSE)}
    \item{\code{normal}}{use tile-level normalization before
      base-calling (TRUE)}
    \item{\code{decorrelate}}{use 'cycle'-level decorrelation procedure,
      'channel'-level, 'both' or 'none' ('both')}
    \item{\code{idsep}}{character separating coordinate fields in
      sequence headers (":")}
    \item{\code{verbose}}{print debug information if >0 (0)}
    \item{\code{colors}}{list of colors to use in the plots}
  }
  These values are set using \code{SetModel} and a list of the slot
  values can be retrieved with \code{GetModel}.
}
\references{Probabilistic base calling of Solexa sequencing data, BMC Bioinformatics 2008, 9:431}
\author{Jacques Rougemont, Arnaud Amzallag, Christian Iseli, Laurent Farinelli, Ioannis Xenarios, Felix Naef}
\seealso{\code{\link{DeCorrelateChannels}}, \code{\link{DeCorrelateCycles}}, and \code{\link{TileNormalize}}}
\keyword{attribute}
\keyword{internal}
